UiPath Documentation
test-cloud
latest
false
重要 :
新发布内容的本地化可能需要 1-2 周的时间才能完成。
UiPath logo, featuring letters U and I in white

Test Cloud API 指南

上次更新日期 2026年4月7日

删除机器人帐户

根据组织 ID,从组织中删除多个机器人帐户。

API 端点

DELETE {accessURL}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}

将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:

Cloud Platform访问 URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud 公共部门版https://govcloud.uipath.us/
Test Cloud 专用版https://{customURL}.dedicated.uipath.com/

作用域

需要以下作用域:

  • PM.RobotAccount
  • PM.RobotAccount.Write

请求标头

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。

路径参数

路径参数数据类型描述
partitionGlobalId (必填)字符串要检索其机器人帐户的组织 ID。

请求正文

请求正文包含要从组织中批量删除的机器人帐户 ID 列表。

{
     "robotAccountIDs": [
          "string",
          "string"
     ]
}
{
     "robotAccountIDs": [
          "string",
          "string"
     ]
}

响应

200 OK

系统会从组织中删除指定的机器人帐户。

请求示例

假设您收集了构建 API 调用所需的所有信息。

  • 您的{baseURL}为: https://cloud.uipath.com/{organizationName}/identity
  • 您的 {access_token} 为:1234(出于长度考虑)。
  • {partitionGlobalId} 为:3fa85f64-5717-4562-b3fc-2c963f66afa6
  • 要删除的机器人帐户具有以下 ID:
    • 机器人 1:11-xy
    • 机器人 2:22-tz

调用应类似于以下示例 (cURL):

curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
     "robotAccountIDs": [
          "11-xy",
          "22-tz"
     ]
}'
curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
     "robotAccountIDs": [
          "11-xy",
          "22-tz"
     ]
}'
  • API 端点
  • 作用域
  • 请求标头
  • 路径参数
  • 请求正文
  • 响应
  • 200 OK
  • 请求示例

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新